XVIER(6)

NAME
xvier - a X11 board game.

SYNOPSIS
xvier [ -display displayname ] [ -geometry geometry ] [ -fn fontpattern ] [ -iconic ] [ -rows rows ] [ -columns columns ] [ -prog programpath ] [ -level levelnumber ]

DESCRIPTION
Xvier is a board game where you and the computer alternately throw stones into free columns. The stones pile up in the columns, and the goal is to get four stones in a row, in a column or diagonally. You can choose various board sizes and levels of difficulty.

During the game you click with the mouse onto the column where you want to put your stone. Another possibility is a lower case letter in the range 'a' to 'm' (maximally) where 'a' is the left column. If you want to change the level of difficulty, you must use the keyboard. Simply type the number of the desired level. These levels correspond to the search depth of the game program. The meaning of the command line options and buttons is given below.

While the game program computes a move, everything besides Change and Quit is blocked.

OPTIONS

-display displayname
    The X11 screen you want to use.

-geometry geometry
    The desired geometry of the game window.

-fn fontpattern
    A pattern describing the fonts which are used for the buttons and messages. Xvier chooses the biggest font that fits into the window. Therefore the pattern should describe different sizes of one font. The default is *-Helvetica-Medium-R-Normal-*.

-iconic
    Start in iconic state.

-rows rows
    The number of rows of the board. The possible range is 4 to 13. The default is 6.

-columns columns
    The number of columns of the board. The possible range is 4 to 13. The default is 7.

-prog programpath
    The path of the game program.

-level levelnumber
    The level of difficulty to start with. The possible range is 0 to 9. The default is 0.

BUTTONS
The keyboard equivalents of the buttons are given in brackets.

Quit ['q' or 'Q']
    Finish the game.

New ['n' or 'N']
    Start a new game.

Undo ['u' or 'U']
    Undo one move.

Start ['s' or 'S']
    Let the computer begin with the first move. The board must be empty.

Change ['C']
    Exchange the colours of your and the computer's stones.

AUTHOR
Norbert Jung    jung@dia.informatik.uni-stuttgart.de